dnl
dnl Miscellaneous functions
dnl

dnl *****************************************************************
dnl * Save compiler flags
dnl *****************************************************************


AC_DEFUN(IMPULSE_PARAMS_SAVE,
[
  IMPULSE_SAVE_CFLAGS="$CFLAGS"
  IMPULSE_SAVE_LIBS="$LIBS"
  IMPULSE_SAVE_LDFLAGS="$LDFLAGS"
])


dnl *****************************************************************
dnl * Restore compiler flags
dnl *****************************************************************


AC_DEFUN(IMPULSE_PARAMS_RESTORE,
[
  CFLAGS="$IMPULSE_SAVE_CFLAGS"
  LIBS="$IMPULSE_SAVE_LIBS"
  LDFLAGS="$IMPULSE_SAVE_LDFLAGS"
])


dnl *****************************************************************
dnl * Display a config section header
dnl *****************************************************************


AC_DEFUN(IMPULSE_MSG_SECTION,
[
  AC_MSG_RESULT([])
  AC_MSG_RESULT([------ $1 ------])
  AC_MSG_RESULT([])
])


dnl *****************************************************************
dnl * Display a standard message
dnl *****************************************************************


AC_DEFUN(IMPULSE_ECHO,
[
  AC_MSG_RESULT(["[$1]"])
])


dnl End of file
